#!/usr/local/bin/perl
use strict;
use warnings;

my $re = qr/(?=.*perl)(?=.*python)(?=.*php)/;

while ( <DATA> )
{
  chomp;
  print sprintf('%-35s ', qq{"$_"}),
        /$re/i ? "does    " : "does not",
        " match /$re/i\n";
}

__END__
Our LAMP stack uses Perl
Ours is a Python and PHP shop
We use PHP, Python, and Perl here
This is a Ruby on Rails outfit
