#!/usr/local/bin/perl
use strict;
use warnings;

use List::Util qw(max);

use ReadOscars qw(a b c);

my ($oscars_ref, $movie_ref) = ReadOscars::read_oscars( 'oscars.txt' );
my $max = max( map { scalar( keys %$_ ) } values %$movie_ref );
for my $movie ( keys %$movie_ref )
{
  my @categories = keys %{ $movie_ref->{$movie} };
  @categories == $max or next;
  print "$movie won for: ", join( ', ' => @categories), "\n";
}
