#!/usr/local/bin/perl
use strict;
use warnings;

use Sofa;
my $luvseat = Sofa->new( brand => "Overstuft", number_of_arms => 2 );

use Bed;
my $snuz = Bed->new( brand => "Snorever", mattress_size => 'King' );

use SleeperSofa;
my $hydeaway = SleeperSofa->new( brand => "Fold'n'Sleep", mattress_size => 'Queen', number_of_arms => 2 );

for my $obj ( $luvseat, $snuz, $hydeaway )
{
  print ref $obj, $obj->can( 'sleepable' ) ? " has " : " hasn't ", "the sleepable method\n";
  print ref $obj, $obj->can( 'comfy' )     ? " has " : " hasn't ", "the comfy method\n";
}
