#!/usr/local/bin/perl
use strict;
use warnings;

use CGI qw(:standard *table :html4);
use CGI::Carp qw(fatalsToBrowser);

print header, start_html( 'Shopping Cart' ), start_table( { border => 1 } );
print Tr( th( 'Parameter' ), th( 'Value' ) );
for my $param ( param() )
{
  print Tr( td( $param ), td( format_list( param( $param ) ) ) );
}
print end_table, end_html;


sub format_list
{
  @_ == 1 and return shift;

  @_ or return '<empty>';
  return '&lt;' . join( ', ' => @_ ) . '&gt;';
}
